/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#ifndef ___FILESPACE64_H___
#define ___FILESPACE64_H___

typedef struct freelist64 {
	PN_FREELIST64		f;
	unsigned int		fofs;
	struct freelist64 *	next;
} FREELIST64;


unsigned int alloc_filespace64(PDB64 *,PN_HEADER64 * h);
void free_filespace64(PDB64 *,unsigned int);
void * get_file_record64(unsigned int *,PDB64 *,short);
void * read_filespace64(PDB64 *,unsigned int);
int write_filespace64(PDB64 *,void *);
void flush_filespace64(PDB64 * );

#endif

